Skip to main content
GET
Brand Awareness Raw Data

Authorizations

Authorization
string
header
required

Path Parameters

analysis_id
string<uuid>
required

A UUID string identifying the analysis.

organization_id
string<uuid>
required

A UUID string identifying the organization.

workspace_id
string<uuid>
required

A UUID string identifying the workspace.

Query Parameters

brand
string

Filter by one specific brand. Matching ignores case.

brand__in
string

Filter by a list of brands, comma separated without brackets and without spaces around the commas (Ford,Tesla Model Y). Matching ignores case.

collection_date
string<date>

Filter by a collection date being equal to the specified date. YYYY-MM-DD format

collection_date__gt
string<date>

Filter by a collection date being greater than the specified date. YYYY-MM-DD format

collection_date__gte
string<date>

Filter by a collection date being greater than or equal the specified date. YYYY-MM-DD format

collection_date__lt
string<date>

Filter by a collection date being less than the specified date. YYYY-MM-DD format

collection_date__lte
string<date>

Filter by a collection date being less than or equal the specified date. YYYY-MM-DD format

country
string

Filter by one specific country.

country__in
string

Filter by a list of countries. Values should be comma separated, without brackets or spaces

persona
string

Filter by one specific persona.

persona__in
string

Filter by a list of personas. Values should be comma separated, without brackets or spaces

persona_ids
string

Filter by a list of persona IDs. Values should be comma separated, without brackets or spaces. The IDs are resolved to the persona labels recorded on the analysis, so this returns the same rows as the equivalent persona__in call. Use it for analyses that carry persona_ids; analyses predating persona records have none, and must be filtered with persona or persona__in. An ID that is not one of the analysis's personas matches no rows.

source
enum<string>

Filter by one specific source.

Available options:
claude-3-5-sonnet,
claude-4-5-sonnet,
claude-4-6-sonnet,
claude-4-sonnet,
deepseek-chat,
deepseek-reasoner,
deepseek-v3.2-maas,
gemini-1.5-pro,
gemini-2.0-flash,
gemini-2.5-flash,
gemini-2.5-flash-grounded,
gemini-2.5-flash-lite,
gemini-3-flash-preview,
gemini-3.5-flash-lite,
google-ai-mode,
gpt-3.5-turbo,
gpt-4-turbo,
gpt-4o,
gpt-4o-mini-search,
gpt-5,
gpt-5.2,
gpt-5.4-mini,
meta-llama-3.1-70B-instruct-turbo,
meta-llama-3.2-70B-instruct-turbo,
meta-llama-3.3-70B-instruct-turbo,
meta-llama-4-maverick,
mistral-7B-instruct,
muse-spark-1.2,
muse-spark-1.3,
perplexity-sonar,
rufus
source__in
enum<string>

Filter by a list of sources. Values should be comma separated, without brackets or spaces

Available options:
claude-3-5-sonnet,
claude-4-5-sonnet,
claude-4-6-sonnet,
claude-4-sonnet,
deepseek-chat,
deepseek-reasoner,
deepseek-v3.2-maas,
gemini-1.5-pro,
gemini-2.0-flash,
gemini-2.5-flash,
gemini-2.5-flash-grounded,
gemini-2.5-flash-lite,
gemini-3-flash-preview,
gemini-3.5-flash-lite,
google-ai-mode,
gpt-3.5-turbo,
gpt-4-turbo,
gpt-4o,
gpt-4o-mini-search,
gpt-5,
gpt-5.2,
gpt-5.4-mini,
meta-llama-3.1-70B-instruct-turbo,
meta-llama-3.2-70B-instruct-turbo,
meta-llama-3.3-70B-instruct-turbo,
meta-llama-4-maverick,
mistral-7B-instruct,
muse-spark-1.2,
muse-spark-1.3,
perplexity-sonar,
rufus

Response

200 - application/json
workspace_id
string<uuid>
required
analysis_id
string<uuid>
required
response_id
string<uuid>
required
source
enum<string>
required
  • gpt-3.5-turbo - gpt 3.5 turbo
  • gpt-4-turbo - gpt 4 turbo
  • gpt-4o - gpt 4o
  • gpt-4o-mini-search - gpt 4o mini search
  • gpt-5 - gpt 5
  • gpt-5.2 - gpt 5.2
  • gpt-5.4-mini - gpt 5.4 mini
  • gemini-1.5-pro - gemini 1.5 pro
  • gemini-2.0-flash - gemini 2.0 flash
  • gemini-2.5-flash-grounded - gemini 2.5 flash grounded
  • gemini-2.5-flash - gemini 2.5 flash
  • gemini-2.5-flash-lite - gemini 2.5 flash lite
  • gemini-3-flash-preview - gemini 3 flash preview
  • gemini-3.5-flash-lite - gemini 3.5 flash lite
  • meta-llama-3.1-70B-instruct-turbo - meta llama 3.1 70B instruct turbo
  • meta-llama-3.2-70B-instruct-turbo - meta llama 3.2 70B instruct turbo
  • meta-llama-3.3-70B-instruct-turbo - meta llama 3.3 70B instruct turbo
  • meta-llama-4-maverick - meta llama 4 maverick
  • muse-spark-1.2 - muse spark 1.2
  • muse-spark-1.3 - muse spark 1.3
  • mistral-7B-instruct - mistral 7B instruct
  • claude-3-5-sonnet - claude 3 5 sonnet
  • claude-4-sonnet - claude 4 sonnet
  • claude-4-5-sonnet - claude 4 5 sonnet
  • claude-4-6-sonnet - claude 4 6 sonnet
  • deepseek-chat - deepseek chat
  • deepseek-reasoner - deepseek reasoner
  • deepseek-v3.2-maas - deepseek v3.2 maas
  • perplexity-sonar - perplexity sonar
  • rufus - rufus
  • google-ai-mode - google ai mode
Available options:
gpt-3.5-turbo,
gpt-4-turbo,
gpt-4o,
gpt-4o-mini-search,
gpt-5,
gpt-5.2,
gpt-5.4-mini,
gemini-1.5-pro,
gemini-2.0-flash,
gemini-2.5-flash-grounded,
gemini-2.5-flash,
gemini-2.5-flash-lite,
gemini-3-flash-preview,
gemini-3.5-flash-lite,
meta-llama-3.1-70B-instruct-turbo,
meta-llama-3.2-70B-instruct-turbo,
meta-llama-3.3-70B-instruct-turbo,
meta-llama-4-maverick,
muse-spark-1.2,
muse-spark-1.3,
mistral-7B-instruct,
claude-3-5-sonnet,
claude-4-sonnet,
claude-4-5-sonnet,
claude-4-6-sonnet,
deepseek-chat,
deepseek-reasoner,
deepseek-v3.2-maas,
perplexity-sonar,
rufus,
google-ai-mode
brand
string
required
original_brand
string
required
category
string
required
collection_date
string<date>
required
ranking
integer
required
Required range: -128 <= x <= 127
ranking_weight
integer
required
Required range: -128 <= x <= 127
country
string | null
persona
string | null